<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\HTML\HTMLHelper;
HTMLHelper::_('behavior.multiselect');

$user   = JFactory::getUser();
$listOrder      = $this->escape($this->state->get('list.ordering'));
$listDirn       = $this->escape($this->state->get('list.direction'));
$canOrder       = $user->authorise('core.edit.state', 'com_abook.tag');
$saveOrder      = $listOrder == 'a.ordering';

if ($saveOrder)
{
        $saveOrderingUrl = 'index.php?option=com_abook&task=tags.saveOrderAjax&tmpl=component';
        JHtml::_('draggablelist.draggable', 'locationList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}
$sortFields = $this->getSortFields();
$assoc          = JLanguageAssociations::isEnabled();
?>
<form action="<?php echo JRoute::_('index.php?option=com_abook&view=tags'); ?>" method="post" id="adminForm" name="adminForm">
  <div class="row">
    <div class="col-md-12">
	<div id="j-main-container" class="j-main-container">
        <?php
                // Search tools bar
        echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
        ?>
        <?php if (empty($this->items)) : ?>
		<div class="alert alert-info">
                                <span class="icon-info-circle" aria-hidden="true"></span><span class="visually-hidden"><?php echo JText::_('INFO'); ?></span>
                                <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                        </div>
        <?php else : ?>
	<table class="table itemList" id="locationList">
	<thead>
		<tr>
			<th class="w-1 text-center">
                                <?php echo JHtml::_('grid.checkall'); ?>
                        </th>			
			<th>
                                <?php echo JHTML::_('searchtools.sort',  'COM_ABOOK_NAME', 'a.name', $listDirn, $listOrder );?>
			</th>
			<th class="w-10 d-none d-md-table-cell">
			<?php echo JHTML::_('searchtools.sort',  'COM_ABOOK_TAGGROUPS', 'a.id_taggroup', $listDirn, $listOrder );?>
			</th>
			<th class="w-10 d-none d-md-table-cell">
                        	<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_LANGUAGE', 'a.language', $listDirn, $listOrder); ?>
                        </th>
			<th class="w-3 d-none d-lg-table-cell">
                                <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
                        </th>
		</tr>
	</thead>
	<tbody>
	<?php
	foreach ($this->items as $i => $item) :	
		$ordering       = ($listOrder == 'a.ordering');
		$canCreate      = $user->authorise('core.create',               'com_abook.tag.'.$item->id);
                $canEdit        = $user->authorise('core.edit',                 'com_abook.tag.'.$item->id);
                $canCheckin     = $user->authorise('core.manage',               'com_checkin') || $item->checked_out==$user->get('id') || $item->checked_out==0;
                $canChange      = $user->authorise('core.edit.state',   'com_abook.tag.'.$item->id) && $canCheckin;
		$link 		= JRoute::_( 'index.php?option=com_abook&task=tag.edit&id='. $item->id );
		?>
		<tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $item->id_taggroup; ?>">
			<td class="text-center">
                                <?php echo JHtml::_('grid.id', $i, $item->id); ?>
                        </td>	
			<th class="has-context">
                                        <?php if ($item->checked_out) : ?>
                                                <?php echo JHtml::_('jgrid.checkedout', $i, $item->owner, $item->checked_out_time, 'tags.', $canCheckin); ?>
                                        <?php endif; ?>
                                        <?php if ($canCreate || $canEdit) : ?>
                                        <a href="<?php echo $link;?>">
                                                <?php echo $this->escape($item->name); ?></a>
                                        <?php else : ?>
                                                <?php echo $this->escape($item->name); ?>
                                        <?php endif; ?>
					<p class="small"><?php echo JText::sprintf('JGLOBAL_LIST_ALIAS', $this->escape($item->alias));?></p>
                        </th>
			<td class="small d-none d-md-table-cell">
                                <?php echo $item->taggroup_name; ?>
                        </td>
			<td class="small d-none d-md-table-cell">
                        	<?php if ($item->language=='*'):?>
                                	<?php echo JText::_('JALL'); ?>
                                <?php else:?>
                                        <?php echo $item->language_title ? $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?>
                                <?php endif;?>
                        </td>
			<td class="text-end d-none d-lg-table-cell">
                                <?php echo (int) $item->id; ?>
                        </td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	</table>
	<?php endif; ?>
        <?php echo $this->pagination->getListFooter(); ?>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHtml::_('form.token'); ?>
	</div>
    </div>
  </div>
</form>
<p><?php echo JHTML::_('credit.credit');?></p>
