<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined('_JEXEC') or die;
use Joomla\CMS\Uri\Uri;

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
?>
<form action="<?php echo JFilterOutput::ampReplace(Uri::getInstance()->toString()); ?>" method="post" name="adminForm">
<?php if (empty($this->items)) : ?>
	<p> <?php echo JText::_('COM_ABOOK_NO_BOOKS'); ?>	 </p>
<?php else : ?>
	<table class="table table-hover books">
		<tbody>
			<?php foreach($this->items as $i => $item) : ?>
				<?php echo JLayoutHelper::render('category.item', array('params' => $item->params, 'item' => $item, 'print' => false)); ?>
			<?php endforeach; ?>
		</tbody>
	</table>
<?php endif; ?>
<div class="pull-right"><?php echo JHTML::_('we.we') ?></div>
<div class="clearfix"></div>
	<?php if ($this->params->get('bookpagination')) : ?>
	<div class="pagination">
		<?php if ($this->params->def('show_pagination_count', 1)) : ?>
		<div class="counter flex-fill pull-right">
			<?php echo $this->pagination->getPagesCounter(); ?>
		</div>
		<?php endif; ?>
		<?php echo $this->pagination->getPagesLinks(); ?>
		<?php if ($this->params->def('show_pagination_results', 1)) : ?>
			<div class="pagnum text-right flex-fill"><?php echo $this->pagination->getResultsCounter();?></div>
		<?php endif; ?>
	</div>
	<?php endif; ?>
	<div>
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
	</div>
</form>
